class

  ListItemView

brief

  ListView が扱う ListItem コンテナクラス

### Type parameters

- #### TModel: Model

### Hierarchy

- View<TModel>
  - ListItemView
    - GroupListItemView

### Implements

- IListItemView
- IComposableView

## Index

### Constructors

- constructor

### Properties

- $el
- _lineProfile
- _owner
- attributes
- cid
- className
- collection
- el
- id
- model
- tagName

### Accessors

- owner

### Methods

- $
- _ensureElement
- bind
- delegate
- delegateEvents
- events
- getIndex
- getSpecifiedHeight
- hasChildNode
- initialize
- listenTo
- listenToOnce
- off
- on
- once
- remove
- render
- setElement
- stopListening
- trigger
- unbind
- undelegate
- undelegateEvents
- updateHeight
- compose
- extend

## Constructors

### constructor

- new ListItemView(options: ListItemViewOptions<TModel>): ListItemView

- Overrides View.__constructor

  - Defined in CDP/UI/listview/ListItemView.ts:24

  constructor

  #### Parameters

  - ##### options: ListItemViewOptions<TModel>

  #### Returns ListItemView

## Properties

### $el

$el: JQuery

Inherited from View.$el

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:428

### Private _lineProfile

_lineProfile: LineProfile = null

- Defined in CDP/UI/listview/ListItemView.ts:24

### Private _owner

_owner: BaseListView = null

- Defined in CDP/UI/listview/ListItemView.ts:23

### attributes

attributes: any

Inherited from View.attributes

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:430

### cid

cid: string

Inherited from View.cid

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:423

### className

className: string

Inherited from View.className

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:424

### collection

collection: Collection<TModel>

Inherited from View.collection

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:419

### el

el: any

Inherited from View.el

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:427

### id

id: string

Inherited from View.id

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:422

### model

model: TModel

Inherited from View.model

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:418

### tagName

tagName: string

Inherited from View.tagName

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:425

## Accessors

### owner

- get owner(): BaseListView

- - Defined in CDP/UI/listview/ListItemView.ts:120

  #### Returns BaseListView

## Methods

### $

- $(selector: string): JQuery
- $(selector: any): JQuery

- Inherited from View.$

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:417

  #### Parameters

  - ##### selector: string

  #### Returns JQuery

- Inherited from View.$

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:431

  #### Parameters

  - ##### selector: any

  #### Returns JQuery

### _ensureElement

- _ensureElement(): void

- Inherited from View._ensureElement

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:439

  #### Returns void

### bind

- bind(eventName: string, callback: Function, context?: any): any

- Inherited from Events.bind

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:93

  #### Parameters

  - ##### eventName: string

  - ##### callback: Function

  - ##### Optional context: any

  #### Returns any

### delegate

- delegate(eventName: string, selector: string, listener: Function): View<TModel>

- Inherited from View.delegate

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:435

  #### Parameters

  - ##### eventName: string

  - ##### selector: string

  - ##### listener: Function

  #### Returns View<TModel>

### delegateEvents

- delegateEvents(events?: EventsHash): any

- Inherited from View.delegateEvents

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:434

  #### Parameters

  - ##### Optional events: EventsHash

  #### Returns any

### events

- events(): EventsHash

- Inherited from View.events

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:415

  Events hash or a method returning the events hash that maps events/selectors to methods on your View. For assigning events as object hash, do it like this: this.events = <any>{ "event:selector": callback, ... }; That works only if you set it in the constructor or the initialize method.

  #### Returns EventsHash

### getIndex

- getIndex(): number

- Implementation of IListItemView.getIndex

  - Defined in CDP/UI/listview/ListItemView.ts:49

  #### Returns number

### getSpecifiedHeight

- getSpecifiedHeight(): number

- Implementation of IListItemView.getSpecifiedHeight

  - Defined in CDP/UI/listview/ListItemView.ts:54

  #### Returns number

### hasChildNode

- hasChildNode(): boolean

- Implementation of IListItemView.hasChildNode

  - Defined in CDP/UI/listview/ListItemView.ts:59

  #### Returns boolean

### initialize

- initialize(options?: ViewOptions<TModel>): void

- Inherited from View.initialize

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:408

  #### Parameters

  - ##### Optional options: ViewOptions<TModel>

  #### Returns void

### listenTo

- listenTo(object: any, events: string, callback: Function): any

- Inherited from Events.listenTo

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:97

  #### Parameters

  - ##### object: any

  - ##### events: string

  - ##### callback: Function

  #### Returns any

### listenToOnce

- listenToOnce(object: any, events: string, callback: Function): any

- Inherited from Events.listenToOnce

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:98

  #### Parameters

  - ##### object: any

  - ##### events: string

  - ##### callback: Function

  #### Returns any

### off

- off(eventName?: string, callback?: Function, context?: any): any

- Inherited from Events.off

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:91

  #### Parameters

  - ##### Optional eventName: string

  - ##### Optional callback: Function

  - ##### Optional context: any

  #### Returns any

### on

- on(eventName: string, callback?: Function, context?: any): any
- on(eventMap: EventsHash): any

- Inherited from Events.on

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:89

  #### Parameters

  - ##### eventName: string

  - ##### Optional callback: Function

  - ##### Optional context: any

  #### Returns any

- Inherited from Events.on

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:90

  #### Parameters

  - ##### eventMap: EventsHash

  #### Returns any

### once

- once(events: string, callback: Function, context?: any): any

- Inherited from Events.once

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:96

  #### Parameters

  - ##### events: string

  - ##### callback: Function

  - ##### Optional context: any

  #### Returns any

### remove

- remove(): ListItemView<TModel>

- Overrides View.remove

  - Defined in CDP/UI/listview/ListItemView.ts:104

  #### Returns ListItemView<TModel>

### render

- render(): ListItemView<TModel>

- Overrides View.render

  - Defined in CDP/UI/listview/ListItemView.ts:43

  #### Returns ListItemView<TModel>

### setElement

- setElement(element: HTMLElement | JQuery, delegate?: boolean): View<TModel>
- setElement(element: any): View<TModel>

- Inherited from View.setElement

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:421

  #### Parameters

  - ##### element: HTMLElement | JQuery

  - ##### Optional delegate: boolean

  #### Returns View<TModel>

- Inherited from View.setElement

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:429

  #### Parameters

  - ##### element: any

  #### Returns View<TModel>

### stopListening

- stopListening(object?: any, events?: string, callback?: Function): any

- Inherited from Events.stopListening

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:99

  #### Parameters

  - ##### Optional object: any

  - ##### Optional events: string

  - ##### Optional callback: Function

  #### Returns any

### trigger

- trigger(eventName: string, ...args: any[]): any

- Inherited from Events.trigger

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:92

  #### Parameters

  - ##### eventName: string

  - ##### Rest ...args: any[]

  #### Returns any

### unbind

- unbind(eventName?: string, callback?: Function, context?: any): any

- Inherited from Events.unbind

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:94

  #### Parameters

  - ##### Optional eventName: string

  - ##### Optional callback: Function

  - ##### Optional context: any

  #### Returns any

### undelegate

- undelegate(eventName: string, selector?: string, listener?: Function): View<TModel>

- Inherited from View.undelegate

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:437

  #### Parameters

  - ##### eventName: string

  - ##### Optional selector: string

  - ##### Optional listener: Function

  #### Returns View<TModel>

### undelegateEvents

- undelegateEvents(): any

- Inherited from View.undelegateEvents

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:436

  #### Returns any

### updateHeight

- updateHeight(newHeight: number, options?: UpdateHeightOptions): ListItemView<TModel>

- Implementation of IListItemView.updateHeight

  - Defined in CDP/UI/listview/ListItemView.ts:74

  高さを更新

  #### Parameters

  - ##### newHeight: number

    [in] 新しい高さ

  - ##### Optional options: UpdateHeightOptions

    [in] line の高さ更新時に影響するすべての LineProfile の再計算を行う場合は { reflectAll: true }

  #### Returns ListItemView<TModel>

  インスタンス

### Static compose

- compose(derives: ViewConstructor | ViewConstructor[], properties: any, classProperties?: any): ViewConstructor

- - Defined in CDP/UI/listview/ListItemView.ts:95

  すでに定義された Backbone.View を基底クラスに設定し、extend を実行する。

  #### Parameters

  - ##### derives: ViewConstructor | ViewConstructor[]

    [in] 合成元の View クラス

  - ##### properties: any

    [in] prototype プロパティ

  - ##### Optional classProperties: any

    [in] static プロパティ

  #### Returns ViewConstructor

  新規に生成された View のコンストラクタ

### Static extend

- extend(properties: any, classProperties?: any): any

- Inherited from View.extend

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:405

  Do not use, prefer TypeScript's extend functionality.

  #### Parameters

  - ##### properties: any

  - ##### Optional classProperties: any

  #### Returns any

Generated using TypeDoc